Subject: Re: working around "more" (Was Re: what is my mistake?!!!!!)
From: Earnie Boyd <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>, "Mohammed Abdel'al" <[email-masked]>
Cc: Paul Garceau <[email-masked]>, [email-masked]
Date: Mon, 14 Aug 2000 05:09:28 -0700 (PDT)

--- "Charles S. Wilson" <[email-masked]> wrote:
> Well, it seems that sometime since I last built cygipc, the strace stuff
> got reworked to be C++ instead of C.  If you look in strace.h, you see
> that it declares an "strace" class as well as various "normal"
> definitions.  Trying to compile ipc-daemon.c with g++ doesn't help,
> though:
> 
> $ g++ -Wall -O2 -DVERSION_NUM=1.04 -I./include -I.  -c -o ipc-daemon.o
> ipc-daemon.c
> 

G++ as well as gcc uses the input file suffix to determine program type. 
Either use the -x switch to specify that you want c++ or rename the
ipc-daemon.c file to ipc-daemon.cc.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Mail – Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]